/*
 *      Program do przegladania logow z ekg.
 *	Zwyke echo.
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __CMD_ECHO_HH__
#define __CMD_ECHO_HH__


#include "command-base.h"
#include "texts.h"

/**
 * @brief Komenda quit
 */
class cmd_echo_t : public command_base_t {
public:

	cmd_echo_t() :  command_base_t("echo", HELP_ECHO_SHORT,
				HELP_ECHO_LONG)
	{}

	void run(const std::vector<std::string> & argv)
	{
		std::string tmp;
		for(std::vector<std::string>::const_iterator i=argv.begin();
			    i!=argv.end(); ++i)
			tmp += *i + " ";

		_info->print(tmp, ALL_INFO_FMT);
	} // run()
};

#endif /* __CMD_ECHO_HH__ */
