/*
 *      Program do przegladania logow z ekg.
 *      Komenda przeszukiwania logow.
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __CMD_FIND_HH__
#define __CMD_FIND_HH__

#include <fstream>

#include "command-base.h"
#include "texts.h"

/**
 * @brief Komenda find
 */
class cmd_find_t : public command_base_t {
public:

	cmd_find_t();

	void run(const std::vector<std::string> & argv);

private:

	// wyniki przeszukiwan
	std::string _searched;
	unsigned int _last_uin;
	time_t _last_chat;
	SearchResult _sr;
};

#endif /* __CMD_STATS_HH__ */

