#include <string>
#include "ekglog.hpp"
#include "regexp.hpp"

using namespace EkgLog;
using namespace std;

SearchResult Chat::search (const string& regex, const bool ic)
throw(runtime_error)
{
  msg_iterator iter;
  RegExp regexp (regex, true);
  if (!regexp.is_compiled())
    throw runtime_error ("Bd przy kompilacji wyraenia regularnego: " + regexp.get_error());
  if (ic)
    regexp.ignore_case();
  int result;
  for (iter = _begin; iter != _end; ++iter) {
    result = regexp.search (iter->msg());
    if (result >= 0) // a match !
      return SearchResult (iter, result, regexp.get_match().end()-result);
  }
  return SearchResult (iter, string::npos, string::npos);
}

SearchResult Chat::search (const string& regex, const SearchResult& prev,
    const bool ignore_case) throw(std::runtime_error)
{
  msg_iterator iter = prev.message();
  RegExp regexp (regex, true);
  if (!regexp.is_compiled())
    throw runtime_error ("Bd przy kompilacji wyraenia regularnego: " + regexp.get_error());
  if (ignore_case)
    regexp.ignore_case();
  int result = regexp.search (iter->msg(), prev.begin() + prev.length());
  if (result >= 0) // a match!
    return SearchResult (iter, result, regexp.get_match().end() - result);
  for (++iter; iter != _end; ++iter) {
    result = regexp.search (iter->msg());
    if (result >= 0)
      return SearchResult (iter,result, regexp.get_match().end() - result);
  }
  return SearchResult (iter, string::npos, string::npos);
}

