/*
 *      Program do przegladania logow z ekg.
 *      Sprawdzanie atrybutow linii komend.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

extern "C" {
	#include <unistd.h>
}

extern int opterr;

#include "options.h"

check_options_t::check_options_t(int argc, char *argv[])
	: _flags(0)
{
	int opt;
    
	opterr = 0; /* teraz nie wywala bledow na stderr */
    
    
	while( (opt = getopt( argc, argv, "hnd")) != -1 ) {
		 switch(opt) {
			case 'h':
				_flags |= HELP;
				break;
			case 'n':
				_flags |= NICKS;
				break;
			case 'u':
				_flags |= NO_UI;
				break;
			case 'd':
				_flags |= NO_DBASE;
				break;
			default:
				break;
		 }
	} /* while getopt */
}
